友情提示:欢迎光临,本博客提供的代码,请粘贴到EditPlus 3中使用!!请使用火狐,Chrome浏览器进行浏览网站!出售wenca.cn域名,有要的请M我qq:316358892

linux yum升级gcc版本

post by rocdk890 / 2016-8-4 11:26 Thursday linux技术

  在上一篇文章linux快速升级gcc版本中,gcc被yum升级到了4.8.2,今天重新在新的机器上升级gcc的时候,居然出现下面的问题:
# yum install devtoolset-2-gcc devtoolset-2-binutils devtoolset-2-gcc-c++ -y
Loaded plugins: fastestmirror
Determining fastest mirrors
 * base: mirror.as24220.net
 * extras: mirror.as24220.net
 * updates: mirror.as2...

阅读全文>>

标签: yum 升级 update 版本 gcc

评论(0) 引用(0) 浏览(2710)

linux快速升级gcc版本

post by rocdk890 / 2016-4-29 10:30 Friday linux技术

  今天公司开发同事要求在服务器上安装node来进行测试,最开始我想用docker给他使用的,但因为临时抱佛脚,docker的node上很多问题没有解决,只好给他编译安装个node,没想到在编译的第一步就出现问题了,居然说我服务器的gcc版本低了,才有了升级gcc的这篇文章.
  系统:centos 6.5(64位)
1.下载yum源文件
gcc --version
点击查看原图
wget http://people.centos.org/tru/devtools-2/devtools-2.repo -O /etc/yum.repos.d/devtools-2.repo

2.安装最新开发工具
yum...

阅读全文>>

标签: linux 升级 update gcc node

评论(0) 引用(0) 浏览(2091)

修复/lib/ld-linux.so.2: bad ELF interpreter: No such file or directory 问题

post by rocdk890 / 2013-5-15 14:54 Wednesday linux技术

1、在64系统里执行32位程序,如果出现/lib/ld-linux.so.2: bad ELF interpreter: No such file or directory,安装下glic即可.

sudo yum install glibc.i686

2、error while loading shared libraries: libz.so.1: cannot open shared object...

阅读全文>>

标签: centos 错误 系统 问题 64位 gcc

评论(0) 引用(0) 浏览(2262)